package com.memorynotfound.xml.jdom;

import org.jdom2.Document;
import org.jdom2.JDOMException;
import org.jdom2.input.SAXBuilder;
import org.jdom2.input.sax.XMLReaderJDOMFactory;
import org.jdom2.input.sax.XMLReaderXSDFactory;

import java.io.IOException;
import java.net.URL;

public class ValidateXmlAgainstExternalXsd {

    public static void main(String... args) throws JDOMException, IOException {

        URL xml = ValidateXmlAgainstExternalXsd.class.getResource("/example.xml");
        URL xsd = ValidateXmlAgainstExternalXsd.class.getResource("/example.xsd");

        XMLReaderJDOMFactory factory = new XMLReaderXSDFactory(xsd);
        SAXBuilder builder = new SAXBuilder(factory);
        Document document = builder.build(xml);
        System.out.println("root: " + document.getRootElement().getName());
    }
}
