package com.memorynotfound.xml.jdom;

import org.jdom2.Document;
import org.jdom2.JDOMException;
import org.jdom2.input.SAXBuilder;
import org.jdom2.input.sax.XMLReaders;

import java.io.IOException;
import java.net.URL;

public class ValidateXmlAgainstXsd {

    public static void main(String... args) throws JDOMException, IOException {

        // read file from classpath
        URL xml = ValidateXmlAgainstXsd.class.getResource("/example.xml");

        SAXBuilder builder = new SAXBuilder(XMLReaders.XSDVALIDATING);
        Document document = builder.build(xml);
        System.out.println("Root: " + document.getRootElement().getName());
    }
}
